Edit a location
curl --request PATCH \
--url https://api.qminder.com/locations/{locationId} \
--header 'Content-Type: application/json' \
--header 'X-Qminder-API-Version: <x-qminder-api-version>' \
--header 'X-Qminder-REST-API-Key: <api-key>' \
--data '
{
"name": "SF City Hall",
"latitude": 37.7792792,
"longitude": -122.4214304
}
'import requests
url = "https://api.qminder.com/locations/{locationId}"
payload = {
"name": "SF City Hall",
"latitude": 37.7792792,
"longitude": -122.4214304
}
headers = {
"X-Qminder-API-Version": "<x-qminder-api-version>",
"X-Qminder-REST-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Qminder-API-Version': '<x-qminder-api-version>',
'X-Qminder-REST-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'SF City Hall', latitude: 37.7792792, longitude: -122.4214304})
};
fetch('https://api.qminder.com/locations/{locationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "invalid_location_timezone",
"message": "The provided coordinates would change the location's timezone, which is not allowed"
}{
"code": "resource_missing",
"message": "Locations with following ids were not found: [12345]"
}Locations
Edit a location
Updates an existing location. Only include the fields you want to change. Omitted fields remain unchanged.
PATCH
/
locations
/
{locationId}
Edit a location
Authorizations
Headers
API version. Must be set to 2020-09-01.
Available options:
2020-09-01 Path Parameters
ID of the location to update.
Body
application/json
Location properties to update. All fields are optional — only include the fields you want to change.
Response
Location updated successfully
⌘I